Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class RepositoryResolver

    java.lang.Object
      fr.jayasoft.ivy.resolver.AbstractResolver
          fr.jayasoft.ivy.resolver.BasicResolver
              fr.jayasoft.ivy.resolver.AbstractResourceResolver
                  fr.jayasoft.ivy.resolver.RepositoryResolver

All Implemented Interfaces:
  DependencyResolver, HasLatestStrategy, IvyAware

Direct Known Subclasses:
  FileSystemResolver, URLResolver

public class RepositoryResolver
extends AbstractResourceResolver

Author:
  Xavier Hanin

Field Summary

Fields inherited from class fr.jayasoft.ivy.resolver.BasicResolver
`_workspaceName, DATE_FORMAT`

Constructor Summary
`RepositoryResolver()`

Method Summary
`DownloadReport` | `download(Artifact[] artifacts, Ivy ivy, java.io.File cache)`
`void` | `dumpConfig()`
`protected ResolvedResource[]` | `findAll(ModuleRevisionId mrid, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext)` Returns all resolved res matching the given pattern and matching given mrid, or null if no lister is able to handle the given pattern
`protected ResolvedResource` | `findResourceUsingPattern(ModuleRevisionId mrid, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.util.Date date)`
`static ResolvedResource` | `findResourceUsingPattern(java.lang.String name, Repository repository, LatestStrategy strategy, ModuleRevisionId mrid, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.util.Date date)`
`static ResolvedResource` | `findResourceUsingPattern(java.lang.String name, Repository repository, LatestStrategy strategy, ModuleRevisionId mrid, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.util.Date date, boolean alwaysCheckExactRevision)`
`protected void` | `findTokenValues(java.util.Collection names, java.util.List patterns, java.util.Map tokenValues, java.lang.String token)`
`protected long` | `get(Resource resource, java.io.File ivyTempFile)`
`Repository` | `getRepository()`
`java.lang.String` | `getTypeName()`
`boolean` | `isAlwaysCheckExactRevision()`
`void` | `publish(Artifact artifact, java.io.File src, boolean overwrite)`
`void` | `setAlwaysCheckExactRevision(boolean alwaysCheckExactRevision)`
`void` | `setIvy(Ivy ivy)`
`void` | `setName(java.lang.String name)` Should only be used by configurator
`void` | `setRepository(Repository repository)`

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResourceResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, isM2compatible, logArtifactNotFound, logIvyNotFound, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class fr.jayasoft.ivy.resolver.BasicResolver
`acceptLatest, clearArtifactAttempts, clearIvyAttempts, exists, findFirstArtifactRef, getDependency, getPublicationDate, getWorkspaceName, isCheckconsistency, isCheckmodified, isEnvDependent, listModules, listOrganisations, listRevisions, logArtifactAttempt, logIvyAttempt, reportFailure, reportFailure, searchedRmr, setCheckconsistency, setCheckmodified, setEnvDependent, setWorkspaceName, toString`

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResolver
`doValidate, findModuleInCache, fromSystem, fromSystem, getIvy, getLatest, getLatestStrategy, getName, getNamespace, getSystemNode, isValidate, setLatest, setLatestStrategy, setNamespace, setValidate, toSystem, toSystem, toSystem, toSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryResolver

    public RepositoryResolver()

Method Detail

### getRepository

    public Repository getRepository()

### setRepository

    public void setRepository(Repository repository)

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `DependencyResolver`
  Should only be used by configurator

  Specified by:
    `setName` in interface `DependencyResolver`
  Overrides:
    `setName` in class `AbstractResolver`

### findResourceUsingPattern

    protected ResolvedResource findResourceUsingPattern(ModuleRevisionId mrid,
                                                        java.lang.String pattern,
                                                        java.lang.String artifact,
                                                        java.lang.String type,
                                                        java.lang.String ext,
                                                        java.util.Date date)

  Specified by:
    `findResourceUsingPattern` in class `AbstractResourceResolver`

### findResourceUsingPattern

    public static ResolvedResource findResourceUsingPattern(java.lang.String name,
                                                            Repository repository,
                                                            LatestStrategy strategy,
                                                            ModuleRevisionId mrid,
                                                            java.lang.String pattern,
                                                            java.lang.String artifact,
                                                            java.lang.String type,
                                                            java.lang.String ext,
                                                            java.util.Date date)

### findResourceUsingPattern

    public static ResolvedResource findResourceUsingPattern(java.lang.String name,
                                                            Repository repository,
                                                            LatestStrategy strategy,
                                                            ModuleRevisionId mrid,
                                                            java.lang.String pattern,
                                                            java.lang.String artifact,
                                                            java.lang.String type,
                                                            java.lang.String ext,
                                                            java.util.Date date,
                                                            boolean alwaysCheckExactRevision)

### findAll

    protected ResolvedResource[] findAll(ModuleRevisionId mrid,
                                         java.lang.String pattern,
                                         java.lang.String artifact,
                                         java.lang.String type,
                                         java.lang.String ext)

  Returns all resolved res matching the given pattern and matching given mrid, or null if no lister is able to handle the given pattern

  Specified by:
    `findAll` in class `AbstractResourceResolver`
  Parameters:
    `mrid` -
    `pattern` -
    `artifact` -
    `type` -
    `ext` -
  Returns:

### get

    protected long get(Resource resource,
                       java.io.File ivyTempFile)
                throws java.io.IOException

  Specified by:
    `get` in class `AbstractResourceResolver`
  Throws:
    `java.io.IOException`

### publish

    public void publish(Artifact artifact,
                        java.io.File src,
                        boolean overwrite)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### download

    public DownloadReport download(Artifact[] artifacts,
                                   Ivy ivy,
                                   java.io.File cache)

  Specified by:
    `download` in interface `DependencyResolver`
  Overrides:
    `download` in class `BasicResolver`

### findTokenValues

    protected void findTokenValues(java.util.Collection names,
                                   java.util.List patterns,
                                   java.util.Map tokenValues,
                                   java.lang.String token)

  Overrides:
    `findTokenValues` in class `AbstractResourceResolver`

### getTypeName

    public java.lang.String getTypeName()

  Overrides:
    `getTypeName` in class `AbstractResolver`

### dumpConfig

    public void dumpConfig()

  Specified by:
    `dumpConfig` in interface `DependencyResolver`
  Overrides:
    `dumpConfig` in class `AbstractResourceResolver`

### setIvy

    public void setIvy(Ivy ivy)

  Specified by:
    `setIvy` in interface `IvyAware`
  Overrides:
    `setIvy` in class `AbstractResolver`

### isAlwaysCheckExactRevision

    public boolean isAlwaysCheckExactRevision()

### setAlwaysCheckExactRevision

    public void setAlwaysCheckExactRevision(boolean alwaysCheckExactRevision)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD